Page MenuHomePhabricator

The drop down for categories in Upload image dialog opens too slowly, even sometimes after moving to the next field
Closed, ResolvedPublic1 Story Points

Description

1.Go to Media Settings>Upload
2.Select an image and upload
3.On the Details panel put your cursor on Categories field and type a letter
4.Then move to the next field

Observe that, the drop down for categories took so long that at first its hard to realize that there will be adrop dwon expanding here, It opened after I moved to the next field

Screen capture attached

Event Timeline

Ryasmeen created this task.Oct 7 2015, 8:07 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 8:07 PM
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 8 2015, 12:37 AM
matmarex claimed this task.Oct 9 2015, 11:47 AM
  • We should use the "pending" style on the input field while we're querying.
  • We should abort all queries when losing focus.
matmarex triaged this task as High priority.Oct 9 2015, 11:48 AM

Change 244680 had a related patch set uploaded (by Bartosz Dziewoński):
mw.widgets.CategorySelector: Indicate pending requests and abort useless ones

https://gerrit.wikimedia.org/r/244680

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Prtksxna moved this task from Untriaged to Done on the Multimedia board.Oct 12 2015, 10:52 AM

Change 244680 merged by jenkins-bot:
mw.widgets.CategorySelector: Indicate pending requests and abort useless ones

https://gerrit.wikimedia.org/r/244680

Change 245867 had a related patch set uploaded (by Bartosz Dziewoński):
OOjs UI: Backport aadaa8a1, 9aba218a

https://gerrit.wikimedia.org/r/245867

Change 245867 merged by jenkins-bot:
OOjs UI: Backport aadaa8a1, 9aba218a

https://gerrit.wikimedia.org/r/245867

Jdforrester-WMF closed this task as Resolved.Oct 13 2015, 2:50 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.